# StaticLibraryBinary

API Documentation: | `StaticLibraryBinary`

Known Subtypes: |
`PrebuiltStaticLibraryBinary`

Note: This class is incubating and may change in a future version of Gradle.

A `NativeLibrary` that has been compiled and archived into a static library.

### Properties

Property | Description
`buildType` | Incubating The `BuildType` used to construct this binary.
`flavor` | Incubating The `Flavor` that this binary was built with.
`staticLibraryFile` | Incubating The static library file.
`targetPlatform` | Incubating The `NativePlatform` that this binary is targeted to run on.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `BuildType` `buildType` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The `BuildType` used to construct this binary.

#### `Flavor` `flavor` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The `Flavor` that this binary was built with.

#### `File` `staticLibraryFile` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The static library file.

#### `NativePlatform` `targetPlatform` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The `NativePlatform` that this binary is targeted to run on.